Index: gutenbach-queue/debian/gutenbach-queue.postinst
===================================================================
--- gutenbach-queue/debian/gutenbach-queue.postinst	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ gutenbach-queue/debian/gutenbach-queue.postinst	(revision 8de196af018cf970a8b298bc5ee46e4495ca8e94)
@@ -24,7 +24,12 @@
 	chmod +x /usr/lib/gutenbach/queue/build-gutenbach-queue
 	chmod +x /usr/lib/gutenbach/queue/kill-gutenbach-queue
-	chmod +x /usr/lib/queue/view-gutenbach-queue
-	chmod +x /usr/lib/queue/queue
-	ln -s /usr/lib/queue/view-gutenbach-queue /usr/bin/view-gutenbach-queue
+	chmod +x /usr/lib/gutenbach/queue/view-gutenbach-queue
+	chmod +x /usr/lib/gutenbach/queue/queue
+	
+	if [ ! -e /usr/bin/view-gutenbach-queue ]; then
+	    ln -s /usr/lib/gutenbach/queue/view-gutenbach-queue /usr/bin/view-gutenbach-queue
+	fi
+
+	chown -R daemon:pika /var/run/gutenbach
     ;;
 
Index: gutenbach-queue/debian/gutenbach-queue.postrm
===================================================================
--- gutenbach-queue/debian/gutenbach-queue.postrm	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ gutenbach-queue/debian/gutenbach-queue.postrm	(revision 8de196af018cf970a8b298bc5ee46e4495ca8e94)
@@ -22,27 +22,15 @@
 case "$1" in
     purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-	    if [ -d /usr/lib/gutenbach/queue ]; then
-		if [ -e /usr/lib/gutenbach/queue/build-gutenbach-queue ]; then
-		    rm /usr/lib/gutenbach/queue/build-gutenbach-queue
-		fi
-
-		if [ -e /usr/lib/gutenbach/queue/kill-gutenbach-queue ]; then
-		    rm /usr/lib/gutenbach/queue/kill-gutenbach-queue
-		fi
-
-		if [ -e /usr/lib/gutenbach/queue/queue ]; then
-		    rm /usr/lib/gutenbach/queue/queue
-		fi
-		
-		if [ -e /usr/lib/gutenbach/queue/view-gutenbach-queue ]; then
-		    rm /usr/lib/gutenbach/queue/view-gutenbach-queue
-		fi
-
-		rmdir /usr/lib/gutenbach/queue
+	if [ "$1" = "purge" ]; then
+	    if [ -e /usr/lib/gutenbach/queue ]; then
+		echo "Removing /usr/lib/gutenbach/queue/ ..." >&2
+		rm -r  /usr/lib/gutenbach/queue
 	    fi
 
-	    if [ -h /usr/bin/view-gutenbach-queue ]; then
+	    if [ -e /usr/bin/view-gutenbach-queue ]; then
+		echo "Removing /usr/bin/view-gutenbach-queue ..." >&2
 		rm /usr/bin/view-gutenbach-queue
 	    fi
+     	fi
     ;;
 
Index: gutenbach-queue/debian/lib/queue
===================================================================
--- gutenbach-queue/debian/lib/queue	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ gutenbach-queue/debian/lib/queue	(revision 8de196af018cf970a8b298bc5ee46e4495ca8e94)
@@ -7,46 +7,53 @@
 fi
 
-cd /var/spool/lpd/gutenbach/
-for i in $(ls . | grep ^hf); do
-    done=$(cat "$i" | grep done)
+if [ -e /usr/lib/gutenbach/config/printername ]; then
+    printername=$(cat /usr/lib/gutenbach/config/printername)
+
+    cd /var/spool/lpd/"$printername"/
+    for i in $(ls . | grep ^hf); do
+	done=$(cat "$i" | grep done)
     if [ ! -n "$done" ]; then
 	timestamp=$(cat "$i" | grep ^job_time= | sed 's/.*=//')
 	echo "$timestamp:$i" >> /var/run/gutenbach/queue_times
     fi
-done
+    done
 
-if [ -e /var/run/gutenbach/queue_times ]; then
-    for i in $(sort /var/run/gutenbach/queue_times); do
-	i=$(echo "$i" | sed 's/.*://')
-	prefix="df"${i:2}
-	for j in "$prefix"*; do song="$j"; done
+    if [ -e /var/run/gutenbach/queue_times ]; then
+	for i in $(sort /var/run/gutenbach/queue_times); do
+	    i=$(echo "$i" | sed 's/.*://')
+	    prefix="df"${i:2}
+	    for j in "$prefix"*; do song="$j"; done
 
-	user=$(cat "$i" | grep ^P=)
-	user=${user:2}
-    
-	if [ -e /var/run/gutenbach/exiftool_data ]; then
-	    rm /var/run/gutenbach/exiftool_data
-	fi
+	    user=$(cat "$i" | grep ^P=)
+	    user=${user:2}
+	    
+	    if [ -e /var/run/gutenbach/exiftool_data ]; then
+		rm /var/run/gutenbach/exiftool_data
+	    fi
 
-	exiftool "$song" >> /var/run/gutenbach/exiftool_data
-	title=$(cat /var/run/gutenbach/exiftool_data | grep "^Title " | sed 's/.*: //')
-	artist=$(cat /var/run/gutenbach/exiftool_data | grep "^Artist " | sed 's/.*: //')
+	    exiftool "$song" >> /var/run/gutenbach/exiftool_data
+	    title=$(cat /var/run/gutenbach/exiftool_data | grep "^Title " | sed 's/.*: //')
+	    artist=$(cat /var/run/gutenbach/exiftool_data | grep "^Artist " | sed 's/.*: //')
 
-	if [ -z "$found_current" ]; then
-	    host=$(cat "$i" | grep ^H=)
-	    host=${host:2}
-	    filenm="$(cat $i | grep "^filenames" | sed -e 's/filenames=//')"
-	    album=$(cat /var/run/gutenbach/exiftool_data | grep "^Album " | sed 's/.*: //')
-	    echo "$user@$host is currently playing: "
-	    echo "$filenm"
-	    echo "'$title'"
-	    echo "by '$artist'"
-	    echo "on '$album'"
-	    echo ""
-	    echo "Coming up in the queue:"
-	    found_current="true" 
-	else
-	    echo "$user: '$title' by '$artist'"
-	fi
-    done
+	    if [ -z "$found_current" ]; then
+		host=$(cat "$i" | grep ^H=)
+		host=${host:2}
+		filenm="$(cat $i | grep "^filenames" | sed -e 's/filenames=//')"
+		album=$(cat /var/run/gutenbach/exiftool_data | grep "^Album " | sed 's/.*: //')
+		echo "$user@$host is currently playing: "
+		echo "$filenm"
+		echo "'$title'"
+		echo "by '$artist'"
+		echo "on '$album'"
+		echo ""
+		echo "Coming up in the queue:"
+		found_current="true" 
+	    else
+		echo "$user: '$title' by '$artist'"
+	    fi
+	done
+    fi
+else
+    echo "Error: Printer name configuration file /usr/lib/gutenbach/config/printername does not exist!"
+    exit 1
 fi
